package org.eclipse.equinox.launcher;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.PrintStream;

final class IORedirecter {
   private static final String SERVER_LOG_FILE = "work/server.log";
   static PrintStream redirectOut;
   static MultiInputStream redirectIn;

   static final void redirectIO(String serverRootPath) {
      try {
         File sLogFile = new File(serverRootPath, "work/server.log");
         redirectIn = new MultiInputStream(System.in);
         redirectOut = new PrintStream(new FileOutputStream(sLogFile), true);
         System.setIn(redirectIn);
         System.setOut(redirectOut);
         System.setErr(redirectOut);
      } catch (FileNotFoundException var2) {
         FileNotFoundException e = var2;
         e.printStackTrace();
      }

   }
}
